%define	_exec_prefix	/

Summary:	The GNU line editor
Summary(de):	Der GNU Zeileneditor
Name:		ed
Version:	1.9
Release:	%mkrel 1
License:	GPLv3+
Group:		Text tools
URL:		http://www.gnu.org/software/ed/ed.html
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/ed-%{version}.tar.xz
Requires(post): info-install
Requires(preun):info-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%description -l de
Ed ist ein zeilenorientierter Texteditor zum Erstellen, Anzeigen und 
Modifizieren (beides interaktiv und via Shell-Skript) von Textdateien.
Für die meisten Zwecke wurde ed für den normalen Gebrauch von Vollbildeditoren
wie (z.B. emacs, vi) ersetzt.

Ed war der originale UNIX Editor und kann von einigen Programmen genutzt werden.
Im Allgemeinen werden Sie es nicht installieren brauchen und Sie werden es nicht
oft nutzen wollen.

%prep
%setup -q

%build
./configure --prefix=/usr --bindir=/bin CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" 
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS TODO ChangeLog
/bin/ed
/bin/red
%{_infodir}/ed.info*
%{_mandir}/*/*


%changelog
* Wed Jun 26 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.9-1pclos2013
- 1.9

* Fri Apr 26 2013 Texstar <texstar at gmail.com> 1.8-1pclos2013
- 1.8

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.6-1pclos2012
- process

* Wed Sep 19 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.6-1pclos2012
- 1.6
- added german summary and description

* Fri Sep 10 2010 Texstar <texstar at gmail.com> 1.5-1pclos2010
- 1.5

